Page MenuHomePhabricator

Citoid not working on nutritionjrnl.com (Nutrition)
Closed, ResolvedPublic0 Story Points

Description

  • Example 1:

http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext:
Citoid result:

[{"url":"http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext","itemType":"webpage","title":"http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext"}]
  • Example 2:

http://www.nutritionjrnl.com/article/S0899-9007(14)00206-8/fulltext:
Citoid result:

[{"url":"http://www.nutritionjrnl.com/article/S0899-9007(14)00206-8/fulltext","itemType":"webpage","title":"http://www.nutritionjrnl.com/article/S0899-9007(14)00206-8/fulltext"}]

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 25 2017, 10:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
The_RedBurn updated the task description. (Show Details)Feb 14 2017, 12:33 PM
czar moved this task from Backlog to Zotero on the Citoid board.Mar 14 2017, 3:08 AM
czar added subscribers: Mvolz, czar.

Pulling fine for me in Zotero Standalone with either Elsevier or Embedded Metadata translators

http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext

{{Cite journal |last1=Weisburger |first1=John H. |title=Eat to live, not live to eat ∗ |journal=Nutrition |volume=16 |issue=9 |pages=767–773 |date=2000-09-01 |url=http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext |doi=10.1016/S0899-9007(00)00400-7 |issn=0899-9007, 1873-1244 |pmid=11032452 |df=mdy-all }}

But

https://citoid.wikimedia.org/api?format=mediawiki&search=http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext

still produces

[{"url":"http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext","itemType":"webpage","title":"http://www.nutritionjrnl.com/article/S0899-9007(00)00400-7/fulltext"}]

@Mvolz, is Citoid using the latest versions of Elsevier and EM? (Both are tagged v for server translation. I know there was a status page in progress for this—where is best for me to check?)

Mvolz added a comment.Mar 14 2017, 2:16 PM

Citoid isn't using EM. See: T140539

czar added a comment.Mar 15 2017, 5:42 AM

But EM support is planned, right? So this task would be blocked by that one (looks like T140539 is the closest ticket)

Looks like a fix was proposed in https://github.com/zotero/translation-server/issues/31

Deskana triaged this task as Normal priority.Jun 27 2017, 6:55 PM
Deskana moved this task from To Triage to External and Administrivia on the VisualEditor board.

This is now working, as verified on live wikis and on https://en.wikipedia.org/api/rest_v1/#!/Citation/getCitation

Based on T212 I'm not clear on how to close this kind of task: Resolved (but where's the change?) or Invalid (but wasn't it a valid task?).

Mvolz closed this task as Resolved.Aug 24 2017, 10:24 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 24 2017, 10:24 AM
Jdforrester-WMF set the point value for this task to 0.Sep 5 2017, 6:09 PM